%global commit d35a3bc5efd02455d98cbe12b94647136f09b42d
%global snapdate 20230806

Name:           dr_libs
%global snapinfo ^%{snapdate}git%(c='%{commit}'; echo "${c:0:7}")
Version:        0%{snapinfo}
Release:    1%{?dist}
Summary:        Single-file audio decoding libraries for C/C++

URL:            https://github.com/mackron/dr_libs
License:        Unlicense OR MIT-0

%global dr_flac_version 0.12.41
%global dr_mp3_version 0.6.37
%global dr_wav_version 0.13.12

Source0:        %{url}/archive/%{commit}/dr_libs-%{commit}.tar.gz
Source1:        Makefile




Source120:      https://media.xiph.org/sintel/README.txt#/sintel-README.txt
Source125:      https://media.xiph.org/sintel/sintel_trailer-audio.flac



BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(sndfile)

%global debug_package %{nil}

%description
%{summary}.


%package devel
Summary:        Development files for dr_libs

BuildArch:      noarch

Provides:       dr_libs-static = %{version}-%{release}

Requires:       dr_flac-devel = %{dr_flac_version}%{snapinfo}-%{release}
Requires:       dr_flac-static = %{dr_flac_version}%{snapinfo}-%{release}
Requires:       dr_mp3-devel = %{dr_mp3_version}%{snapinfo}-%{release}
Requires:       dr_mp3-static = %{dr_mp3_version}%{snapinfo}-%{release}
Requires:       dr_wav-devel = %{dr_wav_version}%{snapinfo}-%{release}
Requires:       dr_wav-static = %{dr_wav_version}%{snapinfo}-%{release}

%description devel
The dr_libs-devel package contains libraries and header files for developing
applications that use dr_libs.

This is a metapackage that requires the -devel packages for all dr_libs
libraries.


%package -n dr_flac-devel
Summary:        FLAC audio decoder
Version:        %{dr_flac_version}%{snapinfo}

BuildArch:      noarch

Provides:       dr_flac-static = %{dr_flac_version}%{snapinfo}-%{release}

%description -n dr_flac-devel
FLAC audio decoder.


%package -n dr_mp3-devel
Summary:        MP3 audio decoder
Version:        %{dr_mp3_version}%{snapinfo}

BuildArch:      noarch

Provides:       dr_mp3-static = %{dr_mp3_version}%{snapinfo}-%{release}

%description -n dr_mp3-devel
MP3 audio decoder. Based off minimp3 (https://github.com/lieff/minimp3).


%package -n dr_wav-devel
Summary:        WAV audio loader and writer
Version:        %{dr_wav_version}%{snapinfo}

BuildArch:      noarch

Provides:       dr_wav-static = %{dr_wav_version}%{snapinfo}-%{release}

%description -n dr_wav-devel
WAV audio loader and writer.


%package doc
Summary:        Documentation for dr_libs

BuildArch:      noarch

%description doc
Documentation for dr_libs.


%prep
%autosetup -n dr_libs-%{commit}

cp -p '%{SOURCE1}' tests/

rm -rvf old

flacdir='tests/testvectors/flac/tests'
mkdir -p "${flacdir}"

cp -vp '%{SOURCE125}' "${flacdir}"
rm -rvf "${flacdir}/"*.md




%build
%make_build -C tests


%install
install -t '%{buildroot}%{_includedir}' -p -m 0644 -D dr_*.h


%check
%make_build -C tests check

while read -r version header
do
  grep -E "\\bv$(echo "${version}" | sed -r 's/\./\\./g')\\b" \
      "%{buildroot}%{_includedir}/${header}" >/dev/null
done <<'EOF'
%{dr_flac_version} dr_flac.h
%{dr_mp3_version} dr_mp3.h
%{dr_wav_version} dr_wav.h
EOF


%files devel


%files doc
%license LICENSE
%doc README.md


%files -n dr_flac-devel
%license LICENSE
%{_includedir}/dr_flac.h


%files -n dr_mp3-devel
%license LICENSE
%{_includedir}/dr_mp3.h


%files -n dr_wav-devel
%license LICENSE
%{_includedir}/dr_wav.h


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0^20230806gitd35a3bc-1
- initial build
